<?php

class buscar_faltas extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE PROFESORES
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */


        //----------------------------------
        function total_f($tipo)
	{
	   //conexion a la base de datos
	   $this->conectar();

           $con="select * from faltas where tipo_falta='".$tipo."' ";

           $query = $this->consulta($con);

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function buscar_f($inicio,$tipo)
	{
		//conexion a la base de datos
		$this->conectar();

                $con="select * from faltas where tipo_falta='".$tipo."' order by orden  limit ".$inicio.",10";

                $query = $this->consulta($con);

                $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;

			return $data;
		}
                else{

                        return '';
		}
	}

}

?>